package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

public enum AttendanceItemTypeEnum implements BaseEnum {
    LATE("0","迟到"),
    LEAVE_EARLY("1","早退"),
    ABSENTEESIM("2","旷工"),
    HOLIDAY("3","假期"),
    WORK_OVERTIME("4","加班"),
    EVECTION("5","出差"),
    PUNCH_IN_AGAIN("6","补打卡"),
    ALLOWANCE("7","津贴"),
    OTHER("8","其他"),
    MISSE_CARD("9","漏打卡");

    private String key;
    private String value;

    AttendanceItemTypeEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
